[ovs-dev] [PATCH 1/2] xenserver: Warn when upgrading OVS on a bridged system.

Ethan Jackson ethan at nicira.com
Tue Apr 12 20:13:44 UTC 2011


---
Reposted here for completeness. I'll go ahead and merge if this looks fine.
---
 xenserver/openvswitch-xen.spec |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)

diff --git a/xenserver/openvswitch-xen.spec b/xenserver/openvswitch-xen.spec
index 7a2e176..4d03991 100644
--- a/xenserver/openvswitch-xen.spec
+++ b/xenserver/openvswitch-xen.spec
@@ -233,8 +233,17 @@ if [ "$1" = "1" ]; then    # $1 = 2 for upgrade
     printf "or any hosted VM will fail until after the reboot and could\n"
     printf "leave the server in an state requiring manual recovery.\n\n"
 else
-    printf "\nTo use the new Open vSwitch install, you should reboot the\n" 
-    printf "server now.  Failure to do so may result in incorrect operation."
+
+    mode=$(cat /etc/xensource/network.conf)
+    if [ "$mode" != "vswitch" ] && [ "$mode" != "openvswitch" ]; then
+        printf "\nThe server is not configured to run Open vSwitch.  To run in\n"
+        printf "vswitch mode, you must run the following command:\n\n"
+        printf "\txe-switch-network-backend vswitch"
+    else
+        printf "\nTo use the new Open vSwitch install, you should reboot the\n"
+        printf "server now.  Failure to do so may result in incorrect operation."
+    fi
+
     printf "\n\n"
 fi
 
-- 
1.7.4.2




More information about the dev mailing list